<?php

header ("Access-Control-Allow-Origin: *");
header ("Access-Control-Expose-Headers: Content-Length, X-JSON");
header ("Access-Control-Allow-Methods: GET, POST, PATCH, PUT, DELETE, OPTIONS");
header ("Access-Control-Allow-Headers: *");

if (isset($_POST["image_data"])) {
  $data = $_POST["image_data"];
  $data = str_replace('data:image/png;base64,', '', $data);
  $data = str_replace('data:image/jpeg;base64,', '', $data);
  $data = str_replace(' ', '+', $data);
  $data = base64_decode($data);

  $date = date('YmdHis'); // current date in the format of year, month, day
  $random = substr(uniqid(), 6); // 6 random alphanumeric characters

  $sub_date = date('Ymd'); // current date in the format of year, month, day


  $upload_dir = 'D:/gpt_img_data/' . $sub_date . '/';
  if (!file_exists($upload_dir)) {
    mkdir($upload_dir, 0777, true); // create the uploads directory if it does not exist
  }

  $file_name = $date . "_" . $random . '.jpg'; // generate the file name with a .jpg extension
  $file_path = $upload_dir . $file_name;

  $image = imagecreatefromstring($data);
  imagejpeg($image, $file_path, 100); // save the image as a JPEG file with 80% quality

  imagedestroy($image); // free up memory

  // echo the path to the uploaded image file
  echo $file_path;
}

?>
